// Copyright (c) 2015, The shelf_oauth authors.
// Please see the AUTHORS file for details.
// All rights reserved. Use of this source code is governed by
// a BSD 2-Clause License that can be found in the LICENSE file.

library shelf_oauth.oauth.storage.inmem;

import 'oauth1.dart';
import 'oauth2.dart';
import 'oauth_storage.dart';

class InMemoryOAuthStorage implements OAuthStorage {
  final OAuth1RequestTokenSecretStore oauth1TokenSecretStore =
      new InMemoryOAuth1RequestTokenSecretStore();
  final OAuth2TokenStore oauth2TokenStore = new InMemoryOAuth2TokenStore();
  final OAuth2CSRFStateStore oauth2CSRFStateStore =
      new InMemoryOAuth2CSRFStateStore();
}
